net.sourceforge.pmd.cpd

## Class JavaLanguage

- java.lang.Object
- - net.sourceforge.pmd.cpd.AbstractLanguage
  - - net.sourceforge.pmd.cpd.JavaLanguage

All Implemented Interfaces:
  Language

    public class JavaLanguage
    extends AbstractLanguage

### Constructor Summary

Constructors
Constructor and Description
`JavaLanguage()`
`JavaLanguage(Properties properties)`

### Method Summary

Methods
`void` `setProperties(Properties properties)`

### Methods inherited from class net.sourceforge.pmd.cpd.AbstractLanguage

`getFileFilter, getTokenizer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaLanguage

    public JavaLanguage()

#### JavaLanguage

    public JavaLanguage(Properties properties)

### Method Detail

#### setProperties

    public final void setProperties(Properties properties)

Specified by:
  `setProperties` in interface `Language`
Overrides:
  `setProperties` in class `AbstractLanguage`